## NAME

g.extension.py - Maintains GRASS Addons extensions in local GRASS installation.
Downloads, installs extensions from GRASS Addons SVN repository into local GRASS installation or removes installed extensions.

## KEYWORDS

general, installation, extensions

## SYNOPSIS

g.extension.py
g.extension.py --help
g.extension.py [-lcgasdift] extension=name operation=string [svnurl=url] [prefix=path] [proxy=proxy[,proxy,...]] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-l
  List available extensions in the GRASS Addons SVN repository
-c
  List available extensions in the GRASS Addons SVN repository including module description
-g
  List available extensions in the GRASS Addons SVN repository (shell script style)
-a
  List locally installed extensions
-s
  Install system-wide (may need system administrator rights)
-d
  Download source code and exit
-i
  Do not install new extension, just compile it
-f
  Force removal when uninstalling extension (operation=remove)
-t
  Operate on toolboxes instead of single modules (experimental)
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

extension=name [required]
  Name of extension to install or remove
  Name of toolbox (set of extensions) when -t flag is given
operation=string [required]
  Operation to be performed
  Options: add, remove
  Default: add
svnurl=url
  SVN Addons repository URL
  Default: http://svn.osgeo.org/grass/grass-addons/grass7
prefix=path
  Prefix where to install extension (ignored when flag -s is given)
  Default: $GRASS_ADDON_BASE
proxy=proxy[,proxy,...]
  Set the proxy with: "http=<value>,ftp=<value>"

## DESCRIPTION

g.extension downloads and installs, removes or updates extensions from GRASS Addons SVN repository into the local GRASS GIS installation.

Re-running g.extension on an installed GRASS Addons extension re-installs the requested extension which may include updates. All locally installed GRASS Addons extensions can be re-installed by g.extension.all.

## EXAMPLES

Download and install r.stream.distance into current GRASS installation

    g.extension extension=r.stream.distance

Remove locally installed extension

    g.extension extension=r.stream.distance operation=remove

List all available extensions from GRASS Addons SVN repository

    g.extension -l

List all locally installed extensions

    g.extension -a

## SEE ALSO

g.extension.all

See also GRASS Addons wiki page.

## AUTHORS

Markus Neteler (original shell script)
Martin Landa, Czech Technical University in Prague, Czech Republic (Python rewrite)

Last changed: $Date: 2014-11-02 21:55:12 +0100 (ne, 02 XI 2014) $

Main index | General index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual